Bug 2038700 - Tmux crashing when repeatedly pressing ESC key to cancel an action
Summary: Tmux crashing when repeatedly pressing ESC key to cancel an action
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tmux
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sven Lankes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-09 16:52 UTC by Jakub Kadlčík
Modified: 2022-08-24 20:30 UTC (History)
4 users (show)

Fixed In Version: tmux-3.3a-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-24 20:30:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github tmux tmux issues 3031 0 None open tmux crashes after press g in copy mode (goto-line) and then hold down esc. 2022-01-09 17:11:21 UTC

Description Jakub Kadlčík 2022-01-09 16:52:48 UTC
Description of problem:
Tmux crashes after repeatedly pressing ESC to cancel an action.


Version-Release number of selected component (if applicable):
tmux-3.2a-2.fc35.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Open a terminal and run `tmux`
2. Press `Ctrl+b ,` to rename the window,
   or `Ctrl+b :` to enter command mode, 
   or possibly any other action using the same prompt
3. Start rapidly pressing ESC key (6 times is the charm)


Actual results:
The whole tmux server crashes and loses all its sessions


Expected results:
The action from step 2. should be canceled.


Additional info:

This issue started happening with tmux-3.2a-2.fc35.x86_64. I downgraded to tmux-3.1c-2.fc35.x86_64 and it works fine.

Comment 1 Sven Lankes 2022-01-09 17:11:22 UTC
Added upstream ticket.

Comment 2 Fedora Update System 2022-08-19 04:01:52 UTC
FEDORA-2022-8985737e34 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8985737e34

Comment 3 Fedora Update System 2022-08-20 02:23:38 UTC
FEDORA-2022-8985737e34 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-8985737e34`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-8985737e34

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2022-08-24 20:30:55 UTC
FEDORA-2022-8985737e34 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.